#include "calc_stddev.h"

int main(int argc, char *argv[])
{
  double tmp;
  vector<double> data;

  if (argc != 2) {
    cout << "The number of argments does not match.\n";
    cout << "  Usage: calc_stddev input_file\n";
    return 1;
  }

  ifstream fin(argv[1]);
  if(!fin) {
    cout << "Cannot open " << argv[1] << ".\n";
    return 1;
  }

  while (fin) {
    fin >> tmp;
    data.push_back(tmp);
  }
  fin.close();

  cout << func_stddev(data) << "\n";

  return 0;
}
