#ifndef _FIBER_GRAVITY_H

#define _FIBER_GRAVITY_H

#include <iostream>
#include <fstream>
#include <cstring>
#include <cstdlib>
#include <cmath>
#include <vector>
#include "fitsio.h"
using namespace std;

static const int char_length = 4096, naxis1_in = 25, naxis2_in = 25, num_fiber = 127;

void open_fitsfile(char *in_filename, int naxis1, int naxis2, double data[]);

double func_center(vector<double> data, int naxis1, int naxis2, int init_x, int init_y, int range, int axis);
double func_box_flux(vector<double> data, int naxis1, int naxis2, double center_x, double center_y, int range);

#endif
