#ifndef _FIBER_IMAGE_REAL_H

#define _FIBER_IMAGE_REAL_H

#include <iostream>
#include <fstream>
#include <cstdlib>
#include <cstring>
#include <cmath>
#include <vector>
#include "fitsio.h"
using namespace std;

static const int char_length = 4096, naxis1_in = 25, naxis2_in = 25, num_fiber = 127, image_max_x = 1625, image_max_y = 1407;
static const double r_fiber = 62.5, r_core = 50, sqrt3_div2 = sqrt(3) / 2;

void open_fitsfile(char *in_filename, int naxis1, int naxis2, double data[]);

#endif
