#ifndef _FIBER_SKY_SUBTRACT_H

#define _FIBER_SKY_SUBTRACT_H

#include <iostream>
#include <fstream>
#include <cstring>
#include <cstdlib>
#include <cmath>
#include <vector>
#include "fitsio.h"
using namespace std;

static const int char_length = 4096, num_fiber = 127;

void get_naxis(char *get_frame, int naxis[]);
void open_fitsfile(char *in_filename, int naxis1, int naxis2, double data[]);
void create_fitsfile(char *h_filename, char *out_filename, int naxis1, int naxis2, double data[]);

double func_median(vector<double>);

#endif
