#include <cmath>

int sigma_reject(double data[], int num_max, double *sigma)
{
  int count1;
  double mean = 0;
  *sigma = 0;

  for (count1 = 0; count1 <= num_max; count1++) {
    mean += data[count1];
  }
  mean /= num_max;

  for (count1 = 0; count1 <= num_max; count1++) {
    *sigma += (data[count1] - mean) * (data[count1] - mean);
  }
  *sigma /= num_max;
  *sigma = sqrt(*sigma);

  for (count1 = 1; count1 <= num_max; count1++) {
    if (data[count1] > mean + 3 * *sigma)
      return count1;
  }

  return num_max + 1;
}
