#ifndef _FIBER_CENTER2_H

#define _FIBER_CENTER2_H

#include <iostream>
#include <fstream>
#include <cstdlib>
#include <cstring>
#include <cmath>
#include <vector>
#include "fitsio.h"
using namespace std;

static const int char_length = 4096, naxis1_in = 25, naxis2_in = 25;
static const int offset_x[7] = {-1, 1, -2, 0, 2, -1, 1}, offset_y[7] = {2, 2, 0, 0, 0, -2, -2};
//static const char template_file[char_length] = "/home/kazuya/data/fiber-ifs/software/FiberCenter/template-FiberFlux2.dat";

void open_fitsfile(char *in_filename, int naxis1, int naxis2, double data[]);

double func_square(double x);

#endif
