#ifndef _FIBER_GAUSS_IMAGE_H

#define _FIBER_GAUSS_IMAGE_H

#include <iostream>
#include <cstring>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <ctime>
#include "fitsio.h"
using namespace std;

static const int char_length = 4096, naxis1_out = 25, naxis2_out = 25, num_fiber = 127, total_step = 1000;
static const double pi = 3.14159265, core_clad_ratio = 100.0 / 125;

void create_fitsfile(char *out_filename, int naxis1, int naxis2, double data[]);

double func_square(double x);

#endif
